<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}


$set['title'] = 'Подарки '.$ank['nick'].'';
include_once 'sys/inc/thead.php';
title();
aut();
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts` WHERE `id_user` = '$ank[id]' LIMIT 1"), 0);
if ($k_post==0)
{
echo '<div class="dop_menu">У обитателя '.$ank['nick'].' нет подарков</div>';
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT * FROM `gifts` WHERE `id_user` = '$ank[id]' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[ot_id]' LIMIT 1"));
if($num==1){
echo "<div class='pa'>";
$num=0;
}else{
echo "<div class='pa'>";
$num=1;
}
echo"<img src='/gifts/".$f['id_gifts'].".png' width='60' height='60'  alt='' class='icon'/><br />";
//echo"<img src='/gifts/".$f['id_gifts'].".png' alt='' class='icon'/><br>";
echo "&#160;".$f['text']." \n";
echo "<br />&#160;Подарил: <a href='info.php?id=$a[id]'><span style=\"color:$a[ncolor]\">$a[nick]</span></a>\n";
echo "(".vremja($f['time']).") \n";
echo "</div>";
}
if ($k_page>1)str("?",$k_page,$page);
include_once 'sys/inc/tfoot.php';
?>